List push campaigns
curl --request GET \
--url https://api.sendrealm.com/push/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "<string>",
"app_name": "<string>",
"name": "<string>",
"status": "<string>",
"channel": "push",
"targeting": {},
"mode": "<string>",
"environment": "<string>",
"messages": [
{
"code": "<string>",
"label": "<string>",
"title": "<string>",
"body": "<string>",
"image_url": "<string>",
"launch_url": "<string>"
}
],
"buttons": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"icon": "<string>",
"launch_url": "<string>"
}
],
"platforms": {
"android": true,
"ios": true,
"web": true
},
"audience": {
"type": "<string>",
"include_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"exclude_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"android_config": {},
"live_activity_config": {},
"is_editable": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {
"total": 123,
"items": 123,
"limit": 123,
"after": "<string>",
"next": "<string>",
"has_more": true
}
}Push Notifications
List Push Campaigns
List project push campaigns. Test-only delivery records are excluded.
GET
/
push
/
campaigns
List push campaigns
curl --request GET \
--url https://api.sendrealm.com/push/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sendrealm.com/push/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/push/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "<string>",
"app_name": "<string>",
"name": "<string>",
"status": "<string>",
"channel": "push",
"targeting": {},
"mode": "<string>",
"environment": "<string>",
"messages": [
{
"code": "<string>",
"label": "<string>",
"title": "<string>",
"body": "<string>",
"image_url": "<string>",
"launch_url": "<string>"
}
],
"buttons": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"icon": "<string>",
"launch_url": "<string>"
}
],
"platforms": {
"android": true,
"ios": true,
"web": true
},
"audience": {
"type": "<string>",
"include_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"exclude_audience_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"android_config": {},
"live_activity_config": {},
"is_editable": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"metadata": {
"total": 123,
"items": 123,
"limit": 123,
"after": "<string>",
"next": "<string>",
"has_more": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return. Defaults to 20.
Required range:
1 <= x <= 100Opaque cursor from the previous page's metadata.next value.
Available options:
production, development